FreeMat

- Main Page
- Related Pages

vtkLinearContourLineInterpolator

Section: Visualization Toolkit Widget Classes

# Usage

The line interpolator interpolates supplied nodes (see InterpolateLine) with line segments. The finess of the curve may be controlled using SetMaximumCurveError and SetMaximumNumberOfLineSegments.

To create an instance of class vtkLinearContourLineInterpolator, simply invoke its constructor as follows

      obj = vtkLinearContourLineInterpolator

# Methods

The class vtkLinearContourLineInterpolator has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkLinearContourLineInterpolator class.

- `string = obj.GetClassName ()` - Standard methods for instances of this class.
- `int = obj.IsA (string name)` - Standard methods for instances of this class.
- `vtkLinearContourLineInterpolator = obj.NewInstance ()` - Standard methods for instances of this class.
- `vtkLinearContourLineInterpolator = obj.SafeDownCast (vtkObject o)` - Standard methods for instances of this class.
- `int = obj.InterpolateLine (vtkRenderer ren, vtkContourRepresentation rep, int idx1, int idx2)`